
set echo on
set timing on
 
DECLARE

   r_enqueue_options    DBMS_AQ.ENQUEUE_OPTIONS_T;
   r_message_properties DBMS_AQ.MESSAGE_PROPERTIES_T;
   v_message_handle     RAW(16);

BEGIN

   FOR i IN 1 .. 2500 LOOP

      DBMS_AQ.ENQUEUE(
         queue_name         => 'demo_aq_array_q',
         enqueue_options    => r_enqueue_options,
         message_properties => r_message_properties,
         payload            => demo_aq_array_ot('Message number ' || TO_CHAR(i)),
         msgid              => v_message_handle
         );

      COMMIT;

   END LOOP;

END;
/

